<mat-expansion-panel>
  <mat-expansion-panel-header>
    <mat-panel-title>Questions</mat-panel-title>
    <mat-panel-description>
      <span *ngIf="questions && questions.length > 0 else noQuestionsLabel">
        This phase contains {{ questions?.length }} question(s)
      </span>
      <ng-template #noQuestionsLabel>
        <span>This phase contains no questions.</span>
      </ng-template>
    </mat-panel-description>
  </mat-expansion-panel-header>

  <ng-template matExpansionPanelContent>
    <div>
      <div *ngIf="questions && questions.length > 0 else noQuestions">
        <mat-divider></mat-divider>
        <sentinel-stepper [selectable]="true"
                          [stepperItems]="stepperQuestions"
                          [activeIndex]="selectedStep"
                          (indexSelected)="onActiveQuestionChanged($event)">
        </sentinel-stepper>
        <mat-divider id="stepper-divider"></mat-divider>
        <kypo-adaptive-question-edit [question]="stepperQuestions.items[selectedStep].question"
                                     [questionnaireType]="questionnaireType"
                                     [index]="selectedStep">
        </kypo-adaptive-question-edit>
      </div>
      <ng-template #noQuestions>
        <h3>Start by clicking on Add Question button</h3>
      </ng-template>
    </div>
  </ng-template>
</mat-expansion-panel>
